--- 2.2.9 2013-08-29 ---
*** common changes ***
* Виправлена збірка з GCC < 4.6 та Clang < 3.1. Це останній реліз з підтримкою
  старих компіляторів.
* Виправлені правила cmake для збірки з локалізацією sr@latin.
* Рефакторинг та оптимізація коду.
*** eiskaltdcpp-qt ***
* Покращення у віджеті пошуку: тепер індикатор прогресу працює як очікувалося.
* Виправлено падіння програми по правому кліку на деяких ніках користувачів у
  групових чатах.
* Виправлено SIGABRT при закритті QML віджета Tic-Tac-Toe.
* Виправлено SIGABRT при виході з програми, коли QtScript "LogManager View" є
  активним.
* Ряд удосконалень для Mac OS X:
  - відключений функціонал системного трея (він ніколи не працював тут як
    очікувалося)
  - додано спеціальне меню програми до іконки в доці
  - тепер програма ховається в док замість виходу по кліку на кнопці закриття
    вікна
  - доданий платформо-залежний код для обробки лівого кліка на іконці в доці
    (тепер він працює як і у рідних Mac OS X програмах)
  - додано підстрибування іконки в доці коли є нові непрочитані приватні
    повідомлення
  - додана підтримка дисплеїв Retina (шрифти відображаються у високій якості,
    якщо програма зібрана з Qt 4.8.x)
  [Спасибі Dmitry Arkhipov, що показав розробникам, як виглядає Mac OS X]
* Деякі платформо-специфічні покращення в діалозі налаштувань: приховані опції,
  які не працюють в Mac OS X, MS Windows або Haiku.
*** eiskaltdcpp-gtk ***
* Покращення у віджеті пошуку: тепер індикатор прогресу працює як очікувалося.
* Виправлено SIGABRT, коли gdk_display_get_default() повертає NULL.
*** eiskaltdcpp-daemon ***
* Виправлена перевірка існування лог-файлу при роботі в режимі демона
  (див. опції командного рядка --syslog і --log).
*** eiskaltdcpp-cli ***
* Виправлена робота з libjson-rpc-perl >= 1.00 (модуль JSON::RPC::Client був
  переміщений у JSON::RPC::Legacy::Client там). [Спасибі Damyan Ivanov]

--- 2.2.8 2013-06-23 ---
*** common changes ***
* Виправлена збірка з Boost >= 1.50. Припинена підтримка Boost < 1.39.
* Додана підтримка Lua 5.1.x (використовується за замовчуванням) і Lua 5.2.x.
* Локальна копія miniupnpc оновлена до версії 1.7. Збірка зі старими версіями
  miniupnpc (1.5.x і 1.6.x) все ще підтримується.
* Виправлена проблема підключення до хабу, в доменному імені якого є IPv6
  адреса. Поки у нас немає підтримки IPv6, hints.ai_family = AF_UNSPEC
  призводить до проблем з підключенням. [Спасибі Jan Vidar Krey]
* Змінена логіка пошукових інтервалів: тепер мінімальний пошуковий інтервал
  може дорівнювати нулю. [Спасибі Dmitry Arkhipov]
* Виправлені імена файлів для кеша списків публічних хабів: тепер ці файли
  зберігаються і завантажуються коректно.
* Тепер м'ютекси зі стандарту C++11 використовуються в *nix системах. Поки
  MinGW не підтримує цей код, в збірці для MS Windows використовуються м'ютекси
  з Boost. Додана опція DO_NOT_USE_MUTEX для cmake (за замовчуванням
  відключена), яка включає старий алгоритм: у Haiku і WINE ще не реалізовані
  м'ютекси, тому дана опція необхідна для них. Також ця опція використовується
  для збірки в Mac OS X.
* Додана опція для збереження в черзі незавершених завантажень файл-листів
  при перезапуску програми. (За замовчуванням вимкнено, тому що це не дуже
  корисно: користувач може піти з хаба або змінити CID і тоді файл-лист
  буде в черзі завантажень до ручного видалення.)
* Додана опція для вибору обробника MIME типів. Використовуйте поле
  MimeHandler у файлі DCPlusPlus.xml, щоб задати його вручну.
* Виправлена помилка переповнення буфера при виході з програми. Проблема
  виникала через спроби читання даних із закритого UDP сокета.
* Завдяки Helder Cesar доступний португальський переклад.
* Деякі покращення в збірці під Haiku.
* Невеликий рефакторінг коду.
*** eiskaltdcpp-qt ***
* Виправлено відкриття списків публічних хабів з кеша.
* Доданий індикатор прогресу в віджет пошуку.
* Доданий пункт меню "Порівняти всі списки".
* Додана кнопка "Порівняти черги" в віджет перегляду шари.
* Покращена обробка magnet-посилань з аргументів командного рядка.
  [Спасибі Dorian Scholz]
* Невелике поліпшення в віджеті завантажень: у діалозі збереження за
  замовчуванням пропонується поточне ім'я файлу.
* Доданий новий QtScript для панелі інструментів: NowPlaying Qmmp Script.
  [Спасибі Gustavo Alvarez]
* Виправлено контекстне меню в віджеті передач. (Копіювання інформації для
  вибраних елементів працювало невірно.)
* Оновлений список підроблених версій клієнта в налаштуваннях обраних хабів.
* Додано меню для швидкого підключення до обраних хабiв. (Див. відповідну
  кнопку на панелі інструментів.)
* Виправлена обробка смайлів у чатах.
* Виправлено визначення користувачів на хабах. (Іноді програма брала опис
  користувача з іншого хаба.)
* Багато виправлень для команд користувача.
*** eiskaltdcpp-gtk ***
* Виправлено відкриття списків публічних хабів з кеша.
* Доданий індикатор прогресу в віджет пошуку.
* Доданий пункт меню "Порівняти всі списки".
* Виправлено ряд попереджень про використання застарілих функцій з останніми
  версіями бібліотек Gtk+ і GLib.
* У віджеті перегляду списку файлів парсинг файл-листів винесено в окремий
  потік, що вирішило проблему з короткочасним фризом інтерфейсу при відкритті
  великих файл-листів.
* Додані пункти меню для відкриття часткових списків файлів.
* Додана можливість налаштування виключень файлів у діалозі налаштувань.
  (У попередніх версіях програми це можна було налаштувати тільки ручним
  редагуванням DCPlusPlus.xml.)
* Покращено зовнішній вигляд діалогу налаштувань.
* Додана опція для відображення списку користувачів на віджеті хаба зліва.
* Покращено віджет передач: тепер вся інформація знаходиться в окремих
  стовпцях, так що деякі з них можуть бути приховані при необхідності.
*** eiskaltdcpp-daemon ***
* Додані методи JSON-RPC: hub.getuserinfo, hub.getusers, hub.listfulldesc,
  queue.matchlists.
* Оновлені методи JSON-RPC: hub.pm, show.ratio.
* Синхронізованi доступні методи XML-RPC і JSON-RPC.
* Виправлені можливі падіння програми в методі magnet.add.
* Виправлені зависання програми при виході, коли активні хаби знаходяться у
  відключеному стані.
* Додані опції командного рядка: --syslog, --log=<file>.
* Оновлена вбудована бібліотека mongoose.
* Оновлена вбудована бібліотека jsonrpc-cpp.
* Додаткові виправлення в jsonrpc-cpp:
  виправлена помилка сегментації при зупинці mongoose, якщо він не був
  запущений.
* Додаткові виправлення в jsoncpp:
  - усі вихідні файли об'єднані в три файли (.cpp i .h)
  - додана конвертація з string у int/uint/int64/uint64/float/double
* Тепер eiskaltdcpp-daemon готовий для щоденного використання через JSON-RPC.
* XML-RPC не рекомендується, але все ще підтримується.
*** eiskaltdcpp-cli ***
* Додані новi методи JSON-RPC: hash.pause, hash.status, hub.getuserinfo,
  hub.getusers, hub.listfulldesc, methods.list, queue.getsources,
  queue.matchlists.
* Тепер eiskaltdcpp-cli-jsonrpc готовий для щоденного використання.
* eiskaltdcpp-cli-xmlrpc не підтримується.

--- 2.2.7 2012-05-29 ---
*** common changes ***
* Оновлена вбудована копія бібліотеки jsonrpc-cpp.
* Додана автоматична пауза для елементів черги завантажень в разі, коли
  цільовий каталог або тимчасовий цільової каталог недоступний.
  (Опція CheckTargetsPathsOnStart у конфігу)
* Додана опція INSTALL_RUNTIME_PATH для cmake.
  (За замовчуванням вимкнено, див. файл INSTALL)
* Рефакторинг сирцевого коду.
*** eiskaltdcpp-qt ***
* Припинена підтримка Qt < 4.6.0.
* Коректне збереження станів заголовків таблиць.
* Виправлено розмиття іконки програми в D-Bus повідомленнях в Ubuntu Unity.
* Додані деякі опції в діалог налаштувань:
  ALLOW_UPLOAD_MULTI_HUB, USE_ADL_ONLY_OWN_LIST.
* Виправлені проблеми, додані у версії 2.2.5:
  - Виправлена збірка з GCC >= 4.7.
  - Виправлено падіння програми при запуску (проблема була присутня тільки в
    збірках з GCC >= 4.7). [Спасибі Pino Toscano]
  - Виправлена збірка з відключеною підтримкою aspell.
  - Виправлені дії пунктів головного меню "Приховати останнє статусне
    повідомлення" та "Приховати статистику користувачів".
  - Виправлена індикація іконкою в треї про нові непрочитані повідомлення.
  - Виправлено падіння при виході.
*** eiskaltdcpp-gtk ***
* Пошук альтернатив завжди запускається у новому віджеті.
* Додані деякі опції в діалог налаштувань:
  ALLOW_UPLOAD_MULTI_HUB, ALLOW_SIM_UPLOADS, LOG_FILE_MAIN_CHAT,
  LOG_FILE_PRIVATE_CHAT, LOG_FILE_DOWNLOAD, LOG_FILE_UPLOAD,
  LOG_FORMAT_POST_FINISHED_DOWNLOAD, LOG_FILE_FINISHED_DOWNLOAD,
  REPORT_ALTERNATES, USE_ADL_ONLY_OWN_LIST
* Додано збереження останнього типу пошуку в пошуковому віджеті.
* Додано перехоплення сигналів SIGSEGV, SIGABRT, SIGBUS і SIGTERM.
* Додані команда чату та віджимаєма кнопка для відключення чату у віджеті хаба.
* Додані деякі опції в діалог налаштувань обраного хабу: відключення чату і
  зовнішній IP.
* Змінений алгоритм дій по лівому кліку миші на значку в системному треї.
  Тепер використовується така ж поведінка як і в Qt інтерфейсі.
* У віджеті перегляду списку файлів парсинг файл-листів винесено в окремий
  потік, що вирішило проблему з короткочасним фризом інтерфейсу при відкритті
  великих файл-листів.
*** eiskaltdcpp-daemon ***
* Синхронізовані доступні методи XML-RPC і JSON-RPC.
* Оновлені методи JSON-RPC: methods.list, show.ratio
* Виправлені опції командного рядка "-c" і "-l": вони не працювали коли
  аргумент завершувався не роздільником.
* JSON-RPC тепер працює використовуючи вбудовану бібліотеку mongoose.
  (http://code.google.com/p/mongoose/)

--- 2.2.6 2012-02-20 ---
*** common changes ***
* Завдяки Konstantinos Georgokitsos доступний грецький переклад.
* Завдяки Stefano Simoncelli доступний італійський переклад.
* Заборонено перезапис зовнішнього IP при включеному DHT.
* Додана підтримка читання і запису повного дерева TTH в атрибуті файлу.
  Реалізація сумісна з FlylinkDC++. Не всі файлові системи дозволяють зберігати
  дані необхідного розміру. При неможливості запису атрибутів програма обробляє
  файли як і раніше.
*** eiskaltdcpp-qt ***
* Рефакторинг сирцевого коду. Виправлені регресії, додані у версії 2.2.5.
* Виправлено падіння програми при закритті вкладки хаба, коли є відкриті
  вкладки приватних чатів. (Проблема була додана в версії 2.2.5)
* Відображення кількості виділених елементів у віджеті перегляду списку файлів.
* Невеликі покращення в панелі активних передач.
* У контекстне меню на іконці в треї доданий пункт швидкого налаштування
  обмежень швидкості передач.
* Використовується перехоплення сигналів SIGSEGV, SIGABRT, SIGBUS і SIGTERM для
  звільнення розділяємої пам'яті перед виходом з програми.
  (Не актуально в MS Windows)
* Додана можливість відкриття завантаженого файлу подвійним клацанням у віджеті
  завершених передач. [Спасибі Viranch Мехта]
* Виправлено додавання елементів у список результатів пошуку, коли
  використовується сортування за кількістю джерел.
* Додана опція вибору дії при зміні активних скриптів (QtScript):
  не робити нічого, запитати користувача або перезавантажити скрипти.
* Виправлено завантаження великих файл-листів при включеному обмеженнi на
  максимальний розмір файлу: тепер такі файл-листи ігноруються.
*** eiskaltdcpp-gtk ***
* Покращена підтримка Gtk3.
* Доданий перемикач мови в діалозі налаштувань.
* Виправлена помилка з дублюванням записів у елементах GtkComboBoxText.
* Додана підтримка libcanberra для звукового оповіщення (опція
  -DUSE_LIBCANBERRA для cmake).
* Виправлено падіння програми в діалоговому вікні прогресу хешування.
*** eiskaltdcpp-daemon ***
* Додана опція командного рядка: --debug
* Додані новi методи JSON-RPC: methods.list, hash.pause, hash.status,
  queue.getsources
*** eiskaltdcpp-cli ***
* Додані новi методи JSON-RPC: queue.list, queue.listtargets, search.clear

--- 2.2.5 2011-12-25 ---
*** common changes ***
* Реорганізовано дерево сорців.
* В ядро додана підтримка ZLIF.
* Додані опції ядра: UseADLOnlyOnOwnList, AllowUploadOverMultiHubs,
  AllowSimUploads.
* Додана можливість збірки з miniupnpc версії 1.6. Підтримка версії 1.5
  збережена. Локальна копія miniupnpc оновлена до версії 1.6.
* Виправлено падіння програми при використанні зміненого значення IpTOSValue
  (за умовчанням -1) без прав суперкористувача.
* Додано розпізнавання додаткових полів із файл-листів FlylinkDC++:
  бітрейти аудіо, відео та розрішення.
* Чистка коду, дрібні оптимізації.
* Невеликі поліпшення підтримки Lua-скриптів у MS Windows.
* Виправлена збірка з Boost >= 1.48.
* Для роботи перекладачів тепер використовується веб-сервіс Transifex:
  http://code.google.com/p/eiskaltdc/wiki/MakingTranslations
  https://www.transifex.net/projects/p/eiskaltdcpp/
*** eiskaltdcpp-qt ***
* Рефакторинг сирцевого коду. Можливі регресії.
* Тепер для сбiрки потрібен GCC >= 4.5.0. (Використовуються можливості C++11)
* Виправлена збірка в Haiku. Задіяний системний алгоритм перевірки запуску
  лише одного примірника програми.
* Безліч нових методів тепер доступно через QtScript. Див.:
  http://code.google.com/p/eiskaltdc/wiki/Scripting
  http://code.google.com/p/eiskaltdc/wiki/Scripting_QtScript_Example_Scripts
  http://code.google.com/p/eiskaltdc/wiki/Scripting_Working_With_QtScript
  [Спасибі OmegaPhil за оновлену документацію]
* Гаряче перезавантаження скриптів (QtScript), коли вони змінюються.
* Діалог роботи зі скриптами (QtScript) істотно покращено.
* Покращено спосіб сортування у віджеті пошукового шпигуна.
  [Спасибі Mikhail Krasikau]
* Додано розпізнавання додаткових полів із файл-листів FlylinkDC++:
  бітрейти аудіо, відео та розрішення. Інформація відображається
  у тултiпi для файлу.
* Додана можливість очищення пошукової історії та історії каталогів завантаження
  при виході або вручну.
* Додані деякі опції в діалог налаштувань: ALLOW_SIM_UPLOADS (дозволити
  одночасне завантаження користувачем з різних хабів),
  search-history-items-number, download-directory-history-items-number,
  memorize-tth-search-phrases
* Додані кнопки для навігаціі у віджеті перегляду списку файлів:
  назад, вперед, вгору.
* Звільнення розділяємої пам'яті при падінні програми по сигналу SIGSEGV. Без
  цього програма запускалася лише з другого разу. Актуально для unix-подібних
  систем, у MS Windows баг був вiдсутнiй.
* Виправлена одночасна робота програми від декількох користувачів. У
  unix-подібних системах використовується мінлива оточення LOGNAME для
  ідентифікації поточного користувача, у MS Windows використовується
  GetUserNameA.
* Виправлено пошук альтернатив для роздач.
* Виправлено контекстне меню в чатах на ADC хабах.
*** eiskaltdcpp-gtk ***
* Підтримка збірки з Gtk < 2.24 припинена.
* Додана можливість збірки з Gtk3 (опція -DUSE_GTK3 для cmake).
  Це експериментальний режим. Можливі різні недоробки.
* Додано розпізнавання додаткових полів із файл-листів FlylinkDC++:
  бітрейти аудіо, відео та розрішення. Інформація відображається
  у додаткових стовпцях.
* Виправлена команда чату /ws.
* Істотно перероблений віджет пошуку.
* У головне вікно доданий індикатор вільного місця.
* Додані опції: use-native-back-color-for-text, show-transfers.
*** eiskaltdcpp-daemon ***
* Додані опції командного рядка: --verbose, --ip, --port, --rpclog, --uripath
* Доданий JSON-RPC інтерфейс. Докладніше:
  http://code.google.com/p/eiskaltdc/wiki/JSONRPC
*** eiskaltdcpp-cli ***
* Доданий простий консольний інтерфейс для управління демоном через JSON-RPC.

--- 2.2.4 2011-10-02 ---
*** common changes ***
* Часткова синхронізація з ядром DC++ (0.785).
* Тепер для сбiрки потрібен GCC >= 4.4.0.
* Додана підтримка DHT (http://www.adcportal.com/wiki/StrongDC++_DHT). Опція
  в налаштуваннях за умовчанням відключена. Є можливість повністю прибрати
  підтримку DHT на етапі конфігурування (опція -DWITH_DHT для cmake).
  Для роботи DHT необхідний білий зовнішній IPv4. Див. також:
  http://ru.wikipedia.org/wiki/DHT
* Виправлена збірка програми у Mac OS X.
*** eiskaltdcpp-qt ***
* Додані деякі опції в діалог налаштувань: DHT, DHT_PORT
* Виправлено неправильне логування особистих чатів.
* Додана кнопка Stop в пошуковому віджеті, яка тільки припиняє додавання нових
  елементів у фрейм. Відповіді на пошуковий запит будуть як і раніше приходити
  від інших клієнтів, але будуть проігноровані. Це обумовлено особливостями
  протоколу...
* Поліпшення пошукового віджету: натискання клавіші Return у полi введення
  розміру запускає пошук.
* Додана можливість підключатися до хабiв по кодованому URL, наприклад:
  dchub://%D1%85%D0%B0%D0%B1.%D1%81%D0%BC%D0%BE%D0%BB%D0%BD%D0%B5%D1%82.%D1%80%D1%84
* Реалізовано відкладене заповнення моделі у віджеті перегляду списку файлів, що
  значно знижує споживання пам'яті і не створює короткочасний фриз інтерфейсу.
  Особливо помітно при відкритті величезних файл-листів.
* Виправлено визначення статусу доступності користувача у віджеті обраних
  користувачів.
* Виправлена помилка відображення прогресу більше 100% на індикаторі завантажень
  в віджеті активних передач.
* Змінений алгоритм перевірки запуску лише одного примірника програми.
  Тепер використовується QSharedMemory.
*** eiskaltdcpp-gtk ***
* Перехід з Libglade на GtkBuilder. Частково втрачено сумісність з кодовою
  базою LinuxDC++ і FreeDC++.
* Перехід на Gtk+ версії 2.24: у коді більше не використовуються елементи,
  оголошені застарілими. Тимчасово збережена підтримка старих версій 
 (тільки Gtk >= 2.18) за допомогою вставок в коді і додаткових патчів.
* Додані деякі опції в діалог налаштувань: DHT, DHT_PORT, DYNDNS_ENABLE,
  DYNDNS_SERVER
* Деякі покращення в діалозі налаштувань.
* Поліпшення пошукового віджету: натискання клавіші Return у полi введення
  розміру запускає пошук.
*** eiskaltdcpp-daemon ***
* Додані новi методи XML-RPC: search.send, search.getresults, show.version,
  show.ratio (детальніше: http://code.google.com/p/eiskaltdc/wiki/XMLRPC)
*** eiskaltdcpp-cli ***
* Доданий простий консольний інтерфейс для управління демоном через XML-RPC.

--- 2.2.3 2011-06-25 ---
*** common changes ***
* Різні пошукові інтервали для обраних хабів (за замовчуванням: 60 с).
* Виправлено баг з підключенням до ADC хабiв на архітектурі armel.
* Завдяки Chris Leick доступний німецький переклад.
* Загальний код для оновлення IP з DynDNS (перенесено з Qt GUI).
* Сумарна статистика (додано/віддано) переміщена в ядро (поточні значення
  в Qt GUI будуть скинуті).
* Виправлена проблема з хешуванням файлів, які містять у назві символи, відсутні
  в стандартній восьмібайтной локалі, але присутні в юникод локалях.
  (Впливає тільки на MS Windows)
* Оновлені іконки програми в темі faenza.
* Виправлена збірка програми у Mac OS X.
* Багато виправлень і чистка коду (виправлені деякі попередження компілятора
  і т.п.).
*** eiskaltdcpp-qt ***
* Додана нова команда чату: /dcpps (для зміни налаштувань ядра DC++)
* Додані деякі опції в діалог налаштувань обраного хабу: MINIMUM_SEARCH_INTERVAL
* Реалізовано асинхронне завантаження історії з баз даних у віджеті
  завершених передач.
* Додано тимчасове обмеження на кількість елементів, що завантажуються
  з баз даних при запуску програми (тільки 500 елементів з історії
  завершених передач). Пізніше в цьому віджеті буде реалізована проста
  навігація по історії.
* Додана можливість пошуку за шаблоном у віджеті перегляду списку файлів.
* Виправлено баг з некоректним елементом меню 'Про програму' у Mac OS X.
* Виправлено контекстне меню на ADC хабах.
* Додана нова тема з монохромними іконками програми.
*** eiskaltdcpp-gtk ***
* Додано збереження інформації про загальний трафік (додано/передано)
  між сесіями.
* Додано новi команди чату: /ip (правила IPFilter), /ratio, /version
* Додані деякі опції в діалог налаштувань обраного хабу: Mode (тип підключення),
  MINIMUM_SEARCH_INTERVAL
*** eiskaltdcpp-daemon ***
* Нові методи XML-RPC.
* Повний список доступних зараз методів: magnet.add, daemon.stop, hub.del,
  hub.say, hub.pm, hub.list, hub.retchat, share.add, share.rename, share.del,
  share.list, share.refresh
* Веб-інтерфейсу для управління демоном все ще немає.

--- 2.2.2 2011-04-24 ---
*** common changes ***
* Часткова синхронізація з ядром DC++ (0.785).
* Вирівнювання ip-адрес в чаті (тільки для моноширинних шрифтів).
* Додані опції конфігурації: ENABLE_STACKTRACE, WITH_DEV_FILES i
  EISKALTDCPP_INCLUDE_DIR.
* Розпізнавання національних доменних імен (використовується libidn) [rfc3490].
  (За замовчуванням включено, див. файл INSTALL)
* Можливий фікс для виправлення мігрування зі старих релізів (<2.1.0) без
  перехешування.
* Додана опція затримки хешування при старті програми (60 секунд
  за замовчуванням). Якщо затримка дорівнює -1, процес хешування не буде
  відновлений. Ця опція дуже корисна для прискорення запуску GUI, тому що
  він не чекає ядро DC++.
* Доданий окремий файл для ведення логу повністю завершених завантажень.
* Можливість прив'язки до мережного інтерфейсу.
* Виправлення для поліпшення роботи Lua-скриптів.
* Багфікси.
*** eiskaltdcpp-qt ***
* Додана можливість зборки під Haiku (див. файл INSTALL).
* Виправлено завантаження смайлів зi смайл-паків. Тепер можна використовувати
  будь-який стандартний формат для зображень, а не тільки PNG формат.
* Покращення в діалозі з чорним списком результатів пошуку.
* Виправлено підсвічування статусних повідомлень у чаті: колір тепер
  застосовується до всього повідомленням.
* Поліпшення в віджет пошуку: спливаюча підказка показує де знаходиться файл,
  якщо він є в шарi.
* У діалозі налаштувань усунута можливість вказівки TLS_PORT рівного TCP_PORT.
  (Часта помилка користувачів)
* Додані деякі опції в діалог налаштувань: BIND_IFACE (прив'язка до мережного
  інтерфейсу), HASHING_START_DELAY (затримка хешування при старті),
  LOG_FILE_FINISHED_DOWNLOAD (окремий файл для ведення логу повністю завершених
  завантажень).
* Додана спливаюча підказка для вже расшаренних файлів у віджетi перегляду
  списку файлів (тепер і для чужих списків файлів також).
* Виправлена опція фільтрації повністю завершених завантажень у віджетi списку
  передач (не працювала при використанні локалізації).
* Віджет особистого чату тепер використовує обмеження на максимальну кількість
  повідомлень. У деяких користувачів було суттєве збільшення споживання пам'яті
  при отриманні великої кількості повідомлень від ботів.
* Додана можливість відкриття не повністю завантажених файлів зі списку
  завантажень.
* У меню чату доданий пункт для пошуку виділеного фрагмента тексту.
* Додано додатковий віджет для перегляду черги користувачів.
* Дозволено пошук альтернатив для роздач.
* Виправлені невеликі витоки пам'яті та проведена чистка коду.
* Додана секція MimeType у desktop файл.
* Тепер EiskaltDC++ Qt доступний у вигляді плагіна для проекту LeechCraft (https://github.com/0xd34df00d/leechcraft)
*** eiskaltdcpp-gtk ***
* Виправлена iніціалізація панелі інструментів.
* Відключені повідомлення "Смайли не завантажились", коли смайли
  не використовуються.
* Додані деякі опції в діалог налаштувань: "sound-command", "minimize-tray"
  (згорнути в трей при запуску)
* У діалозі налаштувань усунута можливість вказівки TLS_PORT рівного TCP_PORT.
  (Часта помилка користувачів)
* Додана секція MimeType у desktop файл.
*** eiskaltdcpp-daemon ***
* Додана можливість зборки під Haiku (див. файл INSTALL).
* Додані опції командного рядка: --pidfile, --confdir, --localdir
* Додано приклад скрипта для запуску демона при завантаженні системи
  в заснованих на Debian системах.
* Відключено примусову зміну прав доступу до створюваних файлів (644).
* Нові методи XML-RPC.

--- 2.2.1 2011-03-08 ---
*** common changes ***
* Виправлена збірка під MS Windows.
* Часткова синхронізація з ядром DC++ (0.785).
* Виправлена підтримка Lua-скриптів. (Була зламана у версії 2.2.0
  при синхронізації з ядром DC++)
* Виправлено баг з "порожньою шарою" під час запуску. Тепер при оновленні списку
  файлів робиться бекап, який використовується при запуску програми. Замітка:
  порожній список файлів --- це не порожня шара! (Багато користувачів помилялися
  на цей рахунок)
* Виправлена функція відповіді на пошукові запити на ADC-хабах.
  (Баг був доданий у версії 2.2.0 при синхронізації з ядром DC++)
* Додана можливість відключення сегментування і зміни розміру сегмента (у МiБ).
*** eiskaltdcpp-qt ***
* Виправлено падіння програми при використанні фільтра в результатах пошуку,
  коли приходять нові результати пошукового запиту.
* Алгоритм для додавання роздільника (горизонтальної лінії) для непрочитаних
  повідомлень в чаті оновлено. Тепер він працює прекрасно.
* Доданий пункт перегляду властивостей магнет-посилань в усі пов'язані меню.
* Додана підтримка пошукових magnet-посилань (магнети з ключем kt).
  (Див. також: https://bugs.launchpad.net/dcplusplus/+bug/674545)
* Виправлено використання комбінації клавіш Ctrl+C в особистому чаті.
  (Баг був доданий у версії 2.2.0)
* Додана опція відображення тільки завершених передач у віджетi передач.
  Використовується простий фільтр: незавершені завантаження можна приховати
  і знову показати.
* Код для роботи в базою даних (використовується SQLite) визнано стабільним.
  У таблиці завершених передач були додані стовпці, і щоб уникнути можливих
  проблем рекомендується видалити старі файли: ~/.config/eiskaltdc++/*.sqlite
* Деякі виправлення для користувальницьких команд.
* Додана можливість підсвічування ключових слів в чаті.
* Додана можливість налаштування кольорових прогрессбарiв завантаження/віддачі.
* Додана опція відтворення звуку при активному вікні особистого чату.
* Покращення в алгоритмі прокручування історії відправлених повідомлень.
* Виправлено падіння програми при видаленні активних (редагованих) елементів
  з чорного списку результатів пошуку. Додана можливість сортування списку.
* Тепер меню команд користувача не відображається, якщо список команд хаба
  порожній.
* Додана опція приховування іконок в меню. (Корисно для користувачів Mac OS X)
* Змінено реакція на порожній нік користувача при запуску програми: тепер
  відкривається діалог для введення ника замість загального діалогу налаштувань.
* Додана можливість використання aspell в збірці під MS Windows.
* Додана можливість вказати BIND_ADDRESS в діалозі налаштувань.
*** eiskaltdcpp-gtk ***
* Покращення у віджетi пошуку.
* Виправлено збереження кількості слотів віддачі в діалозі налаштувань.
  (Баг був доданий у версії 2.2.0)
* Додана опція відображення тільки завершених передач в віджет передач.
  Використовується жорсткий алгоритм: незавершені завантаження видаляються
  зі списку і більше не додаються до нього.
* Гарячі клавіші були синхронізовані з EiskaltDC++ Qt.
* Змінений парсер магнет-посилань.
* Виправлена збірка з libnotify> = 0.7.0.
* Виправлена проблема з завантаженням смайлів. (У xml-файлах смайл-паків було
  зазначено standalone = "no" замість "yes")
* Додана можливість відтворення звукових повідомлень без використання libgnome.
*** eiskaltdcpp-daemon ***
* Виправлена відправка пароля при підключеннi до хабiв з реєстрацією.
* Переписана частина коду, відповідальна за використання потоків. Тепер можливе
  збирання в MS Windows. Замітка: даний бінарник не може бути запущений
  як служба Windows, оскільки процес повинен запускатися від імені існуючого
  користувача (для доступу до налаштувань).
* XML-RPC доступ до програми зараз знаходиться в активній розробці, але
  ще не готовий.

--- 2.2.0 2011-01-16 ---
*** common changes ***
* Закінчено перехід на ядро 0.770. Цифра 0.770 є умовною, оскільки
  використовуються патчі і з більш пізніх ревізій. Але повна синхронізація
  з останнім ядром DC++ не планується через деякі його недолікі. Наприклад:
  1) більш глибока прив'язка до libboost; 2) використання коду, що вимагає
  -std=c++0x і gcc >= 4.5.x; 3) використання налаштувань графічного вікна
  у конфігу ядра.
* Зламана підтримка Lua-скриптів. Збирайте програму з -DLUA_SCRIPT=OFF.
* Завдяки Uhlik доступний чеський переклад.
* Тепер обмеження на розмір шари не застосовуються до обраних користувачів, або
  користувачі, яким видано слот.
* Додано розширення PFSR (partial file sharing). Це дозволить вам завантажувати
  файли, які ще не повністю завантажені DC-клієнтами або вже були завантажені
  цілком, але ще не розшарені. (PFSR взято з проекту StrongDC++)
  [див. також http://www.adcportal.com/wiki/PFSR_-_Partial_file_sharing]
* Виправлено некоректне використання обмеження швидкості: якщо вказане значення
  більше нуля, то обмеження застосовувалося навіть якщо воно було відключено
  в налаштуваннях. (Проблема була додана в версії 2.1.0)
* Виправлено безвихідь при завантаженні файлів з дуже довгими іменами. Тип
  файлової системи тепер не має значення.
* Додано опцiю сокету ToS (Type-of-Service).
*** eiskaltdcpp-qt ***
* Виправлена обробка смайлів в нових повідомленнях. Тепер швидше і коректніше.
* Покращення у віджетi пошуку.
* Підсвічування дублікатів у шарі.
* Реалізований чорний список результатів пошуку.
* Доданий роздільник (горизонтальна лінія) для непрочитаних повідомлень в чаті.
  (За замовчуванням вимкнено) (Це експериментальна опція)
* Додана опція типу підключення в налаштуваннях обраних хабів.
* На панель інструментів додана кнопка включення обмеження швидкості.
* Додана можливість перенаправлення нових приватних повідомлень в загальний чат.
* Встановлення обмежень на шару тепер виробляється з віджету перегляду кулі.
  Просто відкрийте свій список файлів і скористайтеся меню.
* Відключено розфарбування прогрессбара у списку передач.
* Доданий пункт відкриття каталогу в контекстному меню для власного
  списку файлів.
* Доданий пункт копіювання веб-магнетов в усі пов'язані меню.
* Доданий пошуковий фрейм для особистого чату.
* Виправлено можливе зависання при підключенні до DynDNS.
* Роздруківка бектрейса в консоль при отриманні сигналу SIGSEGV
  (помилка сегментації).
* Виправлена помилка, коли в контекстному меню чату вибирався інший користувач.
  (Баг був доданий у версії 2.1.0)
* Виправлено баг відображення результатів пошуку при пошуку директорій.
  Відображався тільки один результат до застосування сортування.
* Виправлено баг відображення імен файлів в UTF-8 у віджетi списку файлів
  під MS Windows.
* Виправлено відкриття расшаренних каталогів з не ASCII символами у віджетi
  списку файлів під MS Windows.
* Перероблений діалог відправлення команди хабу.
* Виправлено баг з надсиланням повідомлення про відсутність ботам на NMDC хабах.
* Виправлено відновлення розкритого режиму вікна при запуску програми.
* Виправлена проблема з неможливістю завдання гарячої клавіші Esc
  в налаштуваннях.
* Підтримка bbCode тегів [s][/s], [code][/code], [url][/url] та [color][/color]
  у чаті.
* Підтримка вкладених bbCode тегів.
* Виправлена реакція на лівий клік по іконці в треї під MS Windows.
* Виправлено розмите відображення іконки програми на панелі завдань
  в MS Windows 7.
* У головне меню доданий пункт відриття magnet-посилання.
* Поліпшення в діалозі властивостей magnet-посилання: швидкий вибір раніше
  використовуваного каталогу для завантаження.
* Видалені зайві залежності при лінковке в Mac OS X.
* Виправлено невеликий баг в модулі антиспаму для головного чату.
  (Він був запроваджений у версії 2.1.0)
* Виправлена помилкова підсвічування файлів як дублікатів в результатах
  ADL-пошуку.
* Виправлено використання %[userNI] в логах чату.
  (Баг був доданий у версії 2.1.0)
* Доданый стовпець з інформацією про використання шифрування в списку передач.
* Виправлено падіння програми при отриманні в результатах пошуку записи
  з порожнім ім'ям файлу.
* При активації вікна фокус знову переводиться на полі введення. (Проблема була
  додана у версії 2.1.0)
* Змінений алгоритм перевірки запуску лише одного примірника програми.
  Тепер використовується QtSingleApplication.
* Додана підтримка бази даних SQLite. Зараз вона використовується для збереження
  списку завершених передач. (За замовчуванням вимкнено, див. файл INSTALL)
  (Це експериментальна опція)
* Виправлення в системі повідомлень при активному особистому листуванні.
* Подвійний клік на індикаторі вільного місця тепер відкриває каталог
  завантаження.
* Вилучена підтримка *напівжирного* і _підкресленого_ тексту в стилі Psi.
* Покращено "гарячу" зміну мови інтерфейсу, без перезапуску програми.
* Додана можливість масштабувати діалог налаштувань до менших розмірів. Розмір
  вікна запам'ятовується.
* Розширено діалог налаштувань.
*** eiskaltdcpp-gtk ***
* Покращення у віджетi пошуку.
* Виправлено шлях до файлу блокування повторного запуску програми
  (він був у ~/.dc++/). Тепер запускається лише один примірник DC-клієнта
  і правильно перехоплюються magnet-посилання.
* Додані гарячі клавіші Вліво/Вправо для розгортання дерева каталогів в віджеті
  перегляду списку файлів.
* Розширено діалог налаштувань.
*** eiskaltdcpp-daemon ***
* Розпочато розробку. Увага: програма ще не готова для використання!
* На даний момент це некерований демон. Ви можете тільки запускати його
  і вбивати.
* Запущений процес (див. man-сторінку) підхоплює налаштування з файлів
  конфігурації, створені вручну або за допомогою графічних інтерфейсів на Qt
  або Gtk. У результаті: тривають розпочаті завантаження, користувачам доступна
  ваша шара тощо.

--- 2.1.1 2010-11-21 ---
*** загальні зміни ***
* Виправлено TigerHash для ARM архітектури.
* -DUSE_MINIUPNP встановлений в OFF за замовчуванням.
* Вирішено проблему з блокуванням використовуваних портів при перезапуску
  програми.
* Додана можливість використання бібліотеки pcre для застосування регекспів
  в стилі perl (див. опцію PERL_REGEX у файлі INSTALL). Зараз використовується
  тільки в ADL пошуку.
*** eiskaltdcpp-qt ***
* Виправлено падіння програми при видаленні останніх символів з поля введення
  в чаті, використовуючи клавішу Backspace. (Проблема виявлялася тільки
  з Qt 4.7.1)
* Оптимізовано парсер посилань. Дуже довгі нові повідомлення в чаті
  відображаються помітно швидше.
* Виправлено відкриття magnet-посилань для торрентів з чату.
* Додана можливість примусової зміни кольору фону в чаті.
* Виправлено неправильний шлях до іконки для App Bundle у Mac OS X.
  (Проблема була додана в 2.1.0)
* Підтримка bbCode в чаті ([b][/b], [u][/u], [i][/i]).
* Підтримка *напівжирного* і _підкресленого_ тексту в стилі Psi.
*** eiskaltdcpp-gtk ***
* Покращення в головному меню.
* Покращення в панелі інструментів.
* Підтримка bbCode в чаті ([b][/b], [u][/u], [i][/i]).

--- 2.1.0 2010-11-07 ---
*** загальні зміни ***
* Від основного бінарника відокремлена бібліотека libeiskaltdcpp для
  unix-подібних систем.
* Додана локалізація повідомлень ядра. Використовується gettext.
* Додана можливість використання Lua-скриптів (див. файл INSTALL).
* Додана можливість використання miniUPnP для підключення
  (див. файл INSTALL).
* Доданий комплект звукових файлів з проекту FlylinkDC++.
* Ядро (dcpp) частково оновлено до версії 0.777.
* Доданий NATT. Див.:
  http://www.adcportal.com/wiki/index.php/NATT_-_NAT_traversal
* Зроблена можливість використання реєстро-залежного файл-листа (опцiя
  CaseSensitiveFilelist в SettingManager). Якщо у вас є каталоги, в яких
  одночасно перебувають файли виду file.txt, FILE.txt та/або File.txt, то тепер
  це не буде викликати проблеми з постійним оновленням шари і всі ці файли
  будуть одночасно доступні іншим користувачам для завантаження. Увага:
  при включенні цієї опції в програмі, вона буде змушена один раз повністю
  перехешувати ваші файли. За замовчуванням дана опція відключена, тому що
  вона може стати причиною порушення сумісності з іншими DC-клієнтами.
  (див. обговорення: https://bugs.launchpad.net/linuxdcpp/bug/311818)
* Увага: при оновленні програми до цієї версії, після перезапуску вона буде
  змушена один раз повністю перехешувати ваші файли. Це пов'язано з тим, що
  тепер файлові хеши зберігаються в реєстро-залежному вигляді. Як буде з цих
  хешей формуватися файл-лист, залежить від опції, описаної вище.
  За замовчуванням, у файл-листі імена файлів зберігаються в нижньому реєстрі,
  у відповідності зі специфікацією.
*** eiskaltdcpp-qt ***
* Тепер при приховуваннi меню (Ctrl+M) додається відповідна кнопка на панель
  інструментів.
* Додана можливість налаштування списку дій на панелі інструментів.
  (Правий клік на панелі --> Конфігурація)
* Додана опція відображення ip-адрес користувачів у чаті. (Залежить від
  налаштувань хаба: інформація про них зазвичай доступна тільки для операторів)
* Виправлена проблема з мінімальною шириною головного вікна в Mac OS X.
* Багаторядкова панель віджетів (табів).
* Додана можливість приховати кнопки закриття вкладок (див. контекстне меню
  на панелі).
* Завдяки Gustavo Alvarez доступний іспанський переклад.
* Завдяки Rusi Dimitrov доступний болгарський переклад.
* Завдяки Martin Durisin доступний словацький переклад.
* Додана можливість зборки без libupnp і QtDBus (див. файл INSTALL).
* Додана можливість зборки під MS Windows (див. файл win32/READ_ME.txt).
* Доданий індикатор прогресу хешування в статусну рядок. Об'єднані пункти меню
  'Оновити шару' і 'Прогрес хешування'
* Розширено діалог налаштувань.
* Вилучений зайвий код (опція -DFREE_SPACE_BAR для cmake). Збірки
  з -DFREE_SPACE_BAR_C=ON працюють стабільно на всіх підтримуваних платформах.
* Додана можливість налаштування підключення через UPnP
  (використовується miniupnp).
* Видалена можливість збірки з libupnp 1.6 .* (опція USE_LIBUPNP).
* Додано команди чату /luafile i /lua (див. man-сторінку або /help в чаті).
* Доданий віджет для налаштування ADL-пошуку.
* Інтервал виявлення відсутності (перевірка активності користувача).
* Змінено функції роботи зі смайлами. Тепер можливо використовувати оригінальні
  смайл-паки від інших клієнтів без додаткової модифікації. Cмайл-паки, що
  поставляються в комплекті з програмою, є загальними для інтерфейсів на Qt
  та Gtk.
* Додана можливість використовувати регулярні вирази Qt у фільтрі списку
  користувачів (використовуйте ##<regexp> у фільтрі)
* Додане ведення логу антиспам-бота (файл antispam.log в ~/.config/eiskaltdc++/
  або іншому каталозі, в залежності від опцій збірки).
* Доданий менеджер комбінацій клавіш.
* Додана підтримка Qt Declarative UI (працює тільки в Qt >= 4.7.0).
* Додана панель смайлів (див. відповідну опцію в Налаштування-->Інтерфейс-->Чат)
* Доданий діалог для обчислення TTH довільного файлу.
*** eiskaltdcpp-gtk ***
* Доданий Gtk інтерфейс, заснований на коді FreeDC++ і LinuxDC++.
* Інтерфейс локалізований з використанням gettext.
* Дефолтні іконки для Gtk інтерфейсу синхронізовані з дефолтними іконками
  з Qt інтерфейсу.
* Доданий віджет для налаштування ADL-пошуку.
* Додана можливість налаштування підключення через UPnP
  (використовується miniupnp).
* Додано команди чату /sh і /alias (див. man-сторінку або /help в чаті).
* Додано команди чату /luafile i /lua (див. man-сторінку або /help в чаті).
* Доданий діалог для обчислення TTH довільного файлу.
* Відображення картинок в чаті ([img]magnet[/img]).

--- 2.0.3 2010-06-08 ---
* Виправлено індикацію непрочитаних повідомлень за допомогою іконки в треї.
* Виправлені можливі проблеми з пошуком при використанні локалі, що
  відрізняється від UTF-8. (Тепер ядро бере не локальне, а дефалтне кодування,
  вказане в налаштуваннях)
* Додане графічне налаштування користувальницьких команд у діалозі налаштувань.
  (У попередніх версіях потрібно було правити xml-конфіг вручну)
* Завдяки Dmytro Demenko доступний український переклад.
* Завдяки Miroslav Petrovic доступний сербський переклад.
* Налаштування програми перенесені до теки $XDG_CONFIG_HOME/eiskaltdc++/
  (змінна оточення $XDG_CONFIG_HOME частіше всього визначена як ~/.config/).
  Тека з налаштуваннями буде переміщена автоматично при першому запуску програми
  після оновлення. Використання $XDG_CONFIG_HOME у програмі можна відключити
  на етапі конфігурації, див. файл INSTALL.
* Додана можливість розміщення шаблонів із зумовленими налаштуваннями програми
  в теці /usr/share/eiskaltdcpp/config/ (залежить від опцій cmake, див. файл
  INSTALL). При першому запуску програми замість дефалтних налаштувань
  будуть скопійовані ці шаблони до особистих налаштувань користувача.
* Доданий drag'n'drop файлів у полі введення повідомлень. Якщо файл є в шарі,
  то замість нього підставляється одразу магнет-посилання.
* У команду чату /sh доданий макрос
  <magnet show=альтернативне ім'я файла>шлях до файлу</magnet>.
  Приклади його використання ви можете знайти у теці 'examples'.
* Доопрацьовано модуль антиспаму, тепер доступний увесь раніше запланований
  функціонал.
* Додана опція зміни способу представлення розмірів
  (кібібайт (КiБ) <=> кілобайт (КБ) і т.п.), див. man-сторінку.
* Додана базова підтримка QtScript (за замовчуванням вимкнено,
  див. файл INSTALL).
* Додана можливість використання системних іконок (за замовчуванням вимкнено,
  див. файл INSTALL).
* Додано приклади з використання яваскрипт-сценаріїв. Кращий зв'язок скриптів
  з ядром DC++ і клієнтською частиною.
* Автоматична зміна розміру рядка введення в чатах. (Використовуйте Shift+Enter
  для переносу рядка)
* Багфікси.

--- 2.0.2 2010-05-04 ---
* Завядки Alexandre Wallimann доступний французький переклад.
* Завядки Arahael доступний польський переклад.
* Додана можливість використання бокового доку зі списком віджетів замість
  однорядкової панелі з табами.
* Додана можливість сбірки з Qt >= 4.4.0. Раніше потребувалася Qt >= 4.5.0.
* Доданий фільтр в пошуковий віджет.
* Покращення в індикації нових повідомлень в чаті (різні іконки).
* Виправлено баг з падінням програми при використанні пошуку. Баг був присутній
  у всіх раніших ревізіях.
* Змінени дефолтні формати логів.
* Покращення в текстових полях вводу.
* Додано підменю в списку користувачів для копіювання потрібної інформації
  про них.

--- 2.0.1 2010-04-18 ---
* Доданий віджет з публічними хабами.
* Додана можливість фільтрації в основних віджетах (Ctrl+F).
* Підтримка режиму відсутності.
* Меню Файл розбито на декілька тематичних меню.
* Додані приклади користувальницьких скриптів.
* Доданий рядок з останнім статусним повідомленням на хабі.
* Додана панель швидкого пошуку.
* Додана можливість запуску декількох копій клієнта від різних користувачів
  системи. Перевірте, щоб у налаштуваннях у них були зазначені різні
  локальні порти.
* Завдяки Akos Berki доступний венгерський переклад.
* Додана можливість відключення чату на хабах при автопідключенні.
* Додана графичне налаштування для обмеження швидкості хешування.
* Додана можливість приозупинення процесу хешування.
* Додана можливість обмеження віддачі користувачам по розміру їх шари.
* Виправлені проблеми з розгортанням програми з трею в Gnome і Mac OS X.
* Додана історія відправлених повідомлень, кількість їх регулюється
  в налаштуваннях.
* Додана історія пошукових запитів, кількість їх регулюється в налаштуваннях.
* Покращене налаштування виключень файлів із шари.
* Суттєво розширено діалог налаштувань.
* Безліч багфіксів і т.д..

--- 2.0 2010-03-22 ---
* Міграція на ядро dc++ (v0.75) і, відповідно, підтримка протоколу ADC.
* Повнофункціональний чат (парсинг магнетів, посилань, смайли, пошук у чаті,
  фільтрація в списку користувачів, команди чату).
* Повнофункціональний пошуковик, файл-браузер (підсвічення вже розшарених
  файлів і т.д.).
* Групування передач в менеджері з'єднань.
* Окремий менеджер завантажень.
* Списки відданого/завантаженого.
* Обрані користувачі (автослот і т.д); обрані хаби.
* Текстові (як посередництвами Qt так і через встановлений по-замовчуванню
  системний менеджер сповіщень) і звукові сповіщення.
* Підтримка тем додатку, іконок і смайл-паки.
* Можливість не розшарювати файли по масці.
* Підтримка UPnP.
* Підміна тега для обраних хабів.
* Примусове вказання зовнішнього IP для обраних хабів.
* Автооновлення зовнішнього IP через DynDNS для обраних хабів.
* Пошуковий шпигун.
* IP-фільтр.
* Перевірка орфографії за допомогою Aspell.
